using HRD.WebApi.DAL;
using System.ComponentModel.DataAnnotations.Schema;

namespace DAL.Models.Entities
{
    public partial class WebAppToWebAppRole : BaseEntity
    {
        public int WebAppToWebAppRoleId { get; set; }
        public int WebAppId { get; set; }
        public int WebAppRoleId { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WebAppRoleName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public int WebAppRoleHierarchy { get; set; }

        //generic Id
        public override int GetEntityId() => WebAppToWebAppRoleId;

        //generic ToString()
        public override string ToString() => $"WebAppToWebAppRoleId: {GetEntityId()}; WebAppId: {WebAppId}; WebAppRoleId: {WebAppRoleId}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}